AutoDiscoverySecurityProviderFactory (Mule ESB 2.2.1 API)
Keywords: org.mule.api.security.provider.AutoDiscoverySecurityProviderFactory class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.api.security.provider
Class AutoDiscoverySecurityProviderFactory

    java.lang.Object
      org.mule.api.security.provider.AutoDiscoverySecurityProviderFactory

All Implemented Interfaces:
  SecurityProviderFactory

    public class AutoDiscoverySecurityProviderFactory

extends Object
implements SecurityProviderFactory

Automatically discovers the JDK we are running on and returns a corresponding `SecurityProviderInfo`.

Implementations of this class are thread-safe.

Field Summary
`static SecurityProviderInfo` | `DEFAULT_SECURITY_PROVIDER` Default is Sun's JSSE.
`protected Log` | `logger` Logger used by this class.

Constructor Summary
`AutoDiscoverySecurityProviderFactory()`

Method Summary
`Provider` | `getProvider()`
`SecurityProviderInfo` | `getSecurityProviderInfo()` Security provider properties for IBM JDK 1.4.2 and higher.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_SECURITY_PROVIDER

    public static final SecurityProviderInfo DEFAULT_SECURITY_PROVIDER

  Default is Sun's JSSE.

### logger

    protected transient Log logger

  Logger used by this class.

Constructor Detail

### AutoDiscoverySecurityProviderFactory

    public AutoDiscoverySecurityProviderFactory()

Method Detail

### getSecurityProviderInfo

    public SecurityProviderInfo getSecurityProviderInfo()

  Security provider properties for IBM JDK 1.4.2 and higher.

  Specified by:
    `getSecurityProviderInfo` in interface `SecurityProviderFactory`

### getProvider

    public Provider getProvider()

  Specified by:
    `getProvider` in interface `SecurityProviderFactory`
  Returns:
    an instance of a security provider
  See Also:
    `SecurityProviderFactory.getSecurityProviderInfo()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.